*{
  box-sizing: border-box;
  margin: 0;
  padding:0;

}

p{
  margin: 0;
}

body{
  margin:0;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.container{
  width: 500px;
  border:1px solid #eee;
  border-radius: 3px;
  padding: 20px;
  display: flex;
  flex-direction: column;
}

form{
  display: flex;
  margin-bottom: 20px;
}

button{
  padding: 5px 15px;
  border:0;
  border-radius: 5px;
  margin: 0 3px;
  cursor: pointer;
  outline: 0;
}

input{
  padding: 8px 15px;
  outline: 0;
  border: 1px solid #ddd;
  border-radius: 3px; 
}

form input{
  flex:1;
  margin-bottom: 15px;;
}

ul{
  padding: 0;
  list-style-type: none;
}

li{
  display: flex;
  align-items: center;
  padding: 10px 0px;
}

li input{
  flex:1
  
}

li p {
  flex: 1;
}

li .todo{
  background: #333;
  flex: 0 0 20px;
  height: 20px;
  border-radius: 30px;
  margin-right: 15px;
  border: 2px solid #333;;
}

li .todo.done{
  background: #333;
}

